export function send(type: string, data?: any) {
  const ctx: Worker = self as any;
  ctx.postMessage(JSON.stringify({ type, data }));
}

export async function runAsync(fn: () => Promise<any>) {
  const val = await fn();
  send("finish", val);
}
