import Vue from "vue";
import "./plugins/axios";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "./registerServiceWorker";
import Buefy from "buefy";
import "./assets/scss/app.scss";
import { initDB } from "./mlpccg";

Vue.use(Buefy);

Vue.config.productionTip = false;

initDB();

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");
