import { GetterTree } from "vuex";
import { AppState } from "../types";
import { DraftState } from "./types";
import { createPonyheadURL } from "@/mlpccg";

const getters: GetterTree<DraftState, AppState> = {
  ponyheadURL(state): string {
    return createPonyheadURL(state.picks);
  }
};

export default getters;
